org.eclipse.ui.views.framelist

## Interface IFrameSource

All Known Implementing Classes:
  NavigatorFrameSource, TreeViewerFrameSource

    public interface IFrameSource

A frame source is the source of frames which appear in a frame list. The frame list asks for the current frame whenever it switches to another frame, so that the context can be restored when the frame becomes current again.

See Also:
  `FrameList`

### Field Summary

Fields
`static int` `CURRENT_FRAME` Frame constant indicating the current frame.
`static int` `FULL_CONTEXT` Flag constant indicating that the full context should be captured.
`static int` `PARENT_FRAME` Frame constant indicating the parent frame.
`static int` `SELECTION_FRAME` Frame constant indicating the frame for the selection.

### Method Summary

All Methods Instance Methods Abstract Methods
`Frame` `getFrame(int whichFrame, int flags)` Returns a new frame describing the state of the source.

### Field Detail

#### CURRENT_FRAME

    static final int CURRENT_FRAME

Frame constant indicating the current frame.

See Also:
  Constant Field Values

#### SELECTION_FRAME

    static final int SELECTION_FRAME

Frame constant indicating the frame for the selection.

See Also:
  Constant Field Values

#### PARENT_FRAME

    static final int PARENT_FRAME

Frame constant indicating the parent frame.

See Also:
  Constant Field Values

#### FULL_CONTEXT

    static final int FULL_CONTEXT

Flag constant indicating that the full context should be captured.

See Also:
  Constant Field Values

### Method Detail

#### getFrame

    Frame getFrame(int whichFrame,
                   int flags)

Returns a new frame describing the state of the source. If the `FULL_CONTEXT` flag is specified, then the full context of the source should be captured by the frame. Otherwise, only the visible aspects of the frame, such as the name and tool tip text, will be used.

Parameters:
  `whichFrame` - one of the frame constants defined in this interface
  `flags` - a bit-wise OR of the flag constants defined in this interface
Returns:
  a new frame describing the current state of the source